• If you need help or want to discuss things, you now can also join us on our Discord Server!

cannot open shared object file: No such file or directory

Slob

Member
Code:
==========================================================
SINUSBOT RELATED
SYSTEM INFORMATION
- Operating System: Debian GNU/Linux 9.9 (stretch)
- Kernel: Linux 4.9.0-8-amd64 x86_64
- Load Average: 0.30 0.14 0.10
- Uptime: 0 days, 0 hours, 19 minutes, 53 seconds
- OS x64 check: OK
- OS Updates: 5 (updates available!)
- OS Missing Packages: None
- OS APT Last Update: 31.07.2019 16:56:42 MSK +03:00:00
- Shell Locale: en_US.UTF-8
- Bot Start Script: not found
- CPU:
    Architecture:          x86_64
    CPU(s):                1
    Thread(s) per core:    1
    Core(s) per socket:    1
    Socket(s):             1
    Model name:            Intel(R) Xeon(R) CPU           E5620  @ 2.40GHz
    CPU MHz:               2400.084
    Hypervisor vendor:     KVM
    Virtualization type:   full
- RAM: 224.85 MB/996.36 MB in use (22%)
- SWAP: 0 B/0 B in use (0%) (SWAP disabled)
- DISK: 1.49 GB/19.62 GB in use (7%)
- Package versions:
   - libglib: 2.50.3-2

BOT INFORMATION
- Status: running (PIDs: 7230 7227, User: sinus)
- Webinterface: port locally reachable (Port: 8087)
- Binary: /opt/sinusbot/sinusbot
- Binary Info: MD5 Hash: d770dee2259d159aa78550962d3251e3, Perms: 755, User: sinus
- Version: 1.0.0-beta.3-735814e
- TS3 Plugin: installed (md5 hash match)
   - Bot Plugin: 2e771e4332cf87da1f72d58aa6923f9f
   - TS3 Client: 2e771e4332cf87da1f72d58aa6923f9f
- Config:
   - LogLevel = 3
   - TS3Path = /opt/sinusbot/teamspeak3-client/ts3client_linux_amd64 (Version 3.3.0)
   - YoutubeDLPath = not set
- Installed scripts: advertising.js; alonemode.js; bookmark.js; command.js; followme.js; norecording.js; rememberChannel.js; welcome.js

BOT TECHNICAL INFORMATION
- File exists:
   - TS3Client/libqxcb-glx-integration.so: no
- LDD output:
    linux-vdso.so.1 (0x00007ffd345c1000)
    libswresample.so.2 => /opt/sinusbot/libswresample.so.2 (0x00007fd51731f000)
    libavfilter.so.6 => /opt/sinusbot/libavfilter.so.6 (0x00007fd516fc7000)
    libavformat.so.57 => /opt/sinusbot/libavformat.so.57 (0x00007fd516bc6000)
    libavcodec.so.57 => /opt/sinusbot/libavcodec.so.57 (0x00007fd516261000)
    libavutil.so.55 => /opt/sinusbot/libavutil.so.55 (0x00007fd515fed000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fd515de9000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fd515ae5000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fd5158c8000)
    libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007fd515546000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fd51532f000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fd514f90000)
    libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007fd514d76000)
    librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007fd514b6e000)
    /lib64/ld-linux-x86-64.so.2 (0x00007fd517539000)

REACHABILITY CHECKS
- HTTPS check with IPv4 mode: SUCCESS [Connection established to www.sinusbot.com, CODE #200]
- HTTPS check with IPv6 mode: IGNORED [Disabled]
- DNS resolution check: SUCCESS [www.sinusbot.com resolved to 104.28.14.74]
- Update server checks:
    update01.sinusbot.com -> 104.28.14.74: SUCCESS [CODE #404]
    update02.sinusbot.com -> 104.28.14.74: SUCCESS [CODE #404]
    update03.sinusbot.com -> 104.28.15.74: SUCCESS [CODE #404]

TIME INFORMATION
- Time (local): 31.07.2019 17:31:50 MSK +03:00:00
- Time (remote): 31.07.2019 17:31:50 MSK +03:00:00
- Time (difference): 0 secs (Time diff less than 2 secs. Good.)
- Timezone: Europe/Moscow

OTHER INFORMATION
- TeamSpeak3 Version: 3.3.0
- youtube-dl Version: unknown
- DiagScript Version: 0.8.0
==========================================================

Please help solve the problem

instant log


2019-07-31T17:35:48+03:00 TS |INFO |LicenseViewer | |Downloaded license file for version 5 and language en
2019-07-31T17:35:48+03:00 Storing configuration.
2019-07-31T17:35:48+03:00 TS |INFO |LicenseViewer | |Requesting remote license for version 5 and language en
2019-07-31T17:35:48+03:00 TS |INFO |LicenseViewer | |View license: version=5, language=en, require accept=1
2019-07-31T17:35:48+03:00 TS |INFO |Update | |Check license: version=5, min_version=4, my_license_version=0, my_license_min_version=0
2019-07-31T17:35:48+03:00 TS |INFO |Integrations | |Requesting integration icon download from https://ts3services.teamspeak.com/integration_icons/twitch/twitch.svg
2019-07-31T17:35:48+03:00 TS |DEVELOP |Addon_Download_Manager| |Download completed: /tmp/clientquerypluginlinuxamd64_5d2d9a738ad98.ts3_plugin Addon_Uuid:943dd816-7ef2-48d7-82b8-d60c3b9b10b3 Version: 7
2019-07-31T17:35:48+03:00 TS |INFO |Update | |Checking for updates...
2019-07-31T17:35:48+03:00 TS |INFO |ClientUI | |Checking for update
2019-07-31T17:35:48+03:00 TS |INFO |ClientUI | |Last update check was: Never
2019-07-31T17:35:48+03:00 TS |INFO |Bookmarks | |Collecting autoconnect bookmarks
2019-07-31T17:35:48+03:00 TS |DEVELOP |Addons | |Got addon download info for ClientQuery
2019-07-31T17:35:47+03:00 TS |INFO |ClientUI | |Using configuration location: /opt/sinusbot/data/ts3/0f496069-84b6-4292-8e9f-93efa01ca55b/ee38f703-1b44-4c57-a25e-d58bc280aec0/settings.db
2019-07-31T17:35:47+03:00 TS |INFO |ClientUI | |Qt version: 5.12.1
2019-07-31T17:35:47+03:00 TS |INFO |ClientUI | |Failed to init text to speech engine
2019-07-31T17:35:47+03:00 TS |DEVELOP |ClientUI | |Notifications init: Soundpack path: /opt/sinusbot/teamspeak3-client/sound/default
2019-07-31T17:35:47+03:00 TS |INFO | | |*** Time [INIT]: 976
2019-07-31T17:35:47+03:00 TS |INFO | | |*** Time [MAINWINDOW]: 975
2019-07-31T17:35:47+03:00 TS |INFO |SyncImpl | |Creating default config in local storage
2019-07-31T17:35:47+03:00 TS |INFO |Addon | |Not available for this platform.
2019-07-31T17:35:46+03:00 TS |INFO | | |successfully downloaded revocation list for myteamspeak id
2019-07-31T17:35:46+03:00 TS |INFO | | |successfully downloaded revocation list for accounting
2019-07-31T17:35:46+03:00 TS |INFO |Plugins | |Loading plugin: libsoundbot_plugin.so
2019-07-31T17:35:46+03:00 TS |INFO |Addons | |Checking for addon updates...
2019-07-31T17:35:46+03:00 TS |DEVELOP |Addons | |Installation request for ClientQuery
2019-07-31T17:35:46+03:00 TS |DEVELOP |Addons | |Installation request for Gamepad and Joystick Hotkey Support
2019-07-31T17:35:46+03:00 TS |ERROR |RevocationListCache| |Failed to import revocation list from cache
2019-07-31T17:35:46+03:00 TS |INFO |ClientUI | |Unable to create an Open GL context.
2019-07-31T17:35:46+03:00 TS |ERROR |SoundBckndIntf| |libpulse.so.0: cannot open shared object file: No such file or directory
2019-07-31T17:35:46+03:00 TS |INFO | | |Using hardware aes
2019-07-31T17:35:46+03:00 TS |INFO | | |SystemInformation: Linux 4.9.0-8-amd64 #1 SMP Debian 4.9.144-3 (2019-02-02) x86_64 Binary: 64bit
2019-07-31T17:35:46+03:00 TS |INFO | | |TeamSpeak 3 Client 3.3.0 (2019-06-18 09:29:01)
2019-07-31T17:35:46+03:00 TS>DUMP defined! Dumpdir is: /opt/sinusbot/data/ts3/0f496069-84b6-4292-8e9f-93efa01ca55b/ee38f703-1b44-4c57-a25e-d58bc280aec0/crashdumps
2019-07-31T17:35:46+03:00 TS>Crashdump ENABLED, directory is: /opt/sinusbot/data/ts3/0f496069-84b6-4292-8e9f-93efa01ca55b/ee38f703-1b44-4c57-a25e-d58bc280aec0/crashdumps
2019-07-31T17:35:45+03:00 Starting instance ts3server://-------------?port=9987&nickname=Mu&password=&channel=&channelpassword=
2019-07-31T17:35:45+03:00 About to run.
2019-07-31T17:35:45+03:00 Prespawn.
2019-07-31T17:35:41+03:00 BOT-CONFIG [admin] CHANPW CHAN ANNOUNCE DESCRIPTION ANNOUNCESTR TTSURL CC OK
2019-07-31T17:25:48+03:00 Storing configuration.
2019-07-31T17:25:35+03:00 closing channels
2019-07-31T17:25:34+03:00 TSClient quit. LogLevel has been increased, please try to connect again to see more details.
2019-07-31T17:25:34+03:00 Closed.
2019-07-31T17:25:34+03:00 TS>/opt/sinusbot/teamspeak3-client/ts3client_linux_amd64: error while loading shared libraries: libXss.so.1: cannot open shared object file: No such file or directory
2019-07-31T17:25:34+03:00 Starting instance ts3server://-----------?port=9987&nickname=Mu&password=&channel=&channelpassword=
2019-07-31T17:25:34+03:00 About to run.
2019-07-31T17:25:34+03:00 Prespawn.
2019-07-31T17:25:30+03:00 BOT-CONFIG [admin] HOST CHANPW CHAN ANNOUNCE DESCRIPTION ANNOUNCESTR TTSURL CC OK
2019-07-31T17:25:18+03:00 Storing configuration.
2019-07-31T17:24:53+03:00 closing channels
2019-07-31T17:24:52+03:00 Closed.
 

Slob

Member
you could try
sudo apt-get install libxss1
Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
permitted by applicable law.
Last login: Wed Jul 31 23:39:07 2019 from
[email protected]:~# sudo apt-get install libxss1
Reading package lists... Done
Building dependency tree
Reading state information... Done
libxss1 is already the newest version (1:1.2.2-1).
libxss1 set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.

2019-08-01T00:24:04+03:00 Storing configuration.
2019-08-01T00:24:02+03:00 eof from data
2019-08-01T00:24:02+03:00 closing channels
2019-08-01T00:24:01+03:00 TSClient quit.
2019-08-01T00:24:01+03:00 Closed.
2019-08-01T00:24:01+03:00 TS>libpng warning: iCCP: known incorrect sRGB profile
2019-08-01T00:24:01+03:00 TS>QXcbIntegration: Cannot create platform OpenGL context, neither GLX nor EGL are enabled
2019-08-01T00:24:01+03:00 TS>QXcbIntegration: Cannot create platform OpenGL context, neither GLX nor EGL are enabled
2019-08-01T00:24:01+03:00 TS>QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-sinus'
2019-08-01T00:24:01+03:00 TS>qt.qpa.xkeyboard: no keyboard layouts with latin keys present
2019-08-01T00:24:01+03:00 TS>QCoreApplication::applicationDirPath: Please instantiate the QApplication object first
2019-08-01T00:24:00+03:00 TS |INFO | | |Statistics report: Not yet, next report on Fri Aug 23 19:55:37 2019
2019-08-01T00:24:00+03:00 TS |INFO |ClientUI | |Last update check was: Sat Jan 1 00:00:01 2022
2019-08-01T00:24:00+03:00 TS |INFO |Bookmarks | |Collecting autoconnect bookmarks
2019-08-01T00:24:00+03:00 New connection status 0; Error 0
2019-08-01T00:24:00+03:00 The bot could not connect. This might have several reasons: the server doesn't exist at that address, the server password is wrong, the default channel doesn't exist, the bot has been banned, the server is an illegal installation, the password is wrong, the security level of your identity is too low, the nickname is too short or too long or the server does not allow the version of the client you are using. See our Wiki / Forums for more help.
2019-08-01T00:24:00+03:00 TS |INFO |ClientUI |1 |Disconnected or forced to leave, want autoreconnect = 0
2019-08-01T00:24:00+03:00 TS |INFO |ClientUI |1 |Connect status: Disconnected
2019-08-01T00:24:00+03:00 TS/ERR 1541 e'invalid parameter size' x'' r''
2019-08-01T00:24:00+03:00 TS |DEVELOP |PktHandler | |Puzzle solve time: 8
2019-08-01T00:24:00+03:00 New connection status 1; Error 0
2019-08-01T00:24:00+03:00 TS |INFO |ClientUI |1 |Connect status: Connecting
 

TwentyFour

Well-Known Member
is awesome!
V.I.P.
So you are still missing dependencies:

Code:
apt-get install -y x11vnc xvfb libxcursor1 ca-certificates bzip2 libnss3 libegl1-mesa x11-xkb-utils libasound2 libpci3 libxslt1.1 libxkbcommon0 curl libglib2.0-0
 

Slob

Member
[QUOTE = "TwentyFour, post: 41302, member: 59215"]
Таким образом, вы все еще отсутствует зависимости:

Code:
 apt-get install -y x11vnc xvfb libxcursor1 ca-сертификаты bzip2 libnss3 libegl1-mesa x11-xkb-utils libasound2 libpci3 libxslt1.1 libxkbcommon0 curl libglib2.0-0
[/КОД]
[/ QUOTE]
[email protected]:~# apt-get install -y x11vnc xvfb libxcursor1 ca-certificates bzip2 libnss3 libegl1-mesa x11-xkb-utils libasound2 libpci3 libxslt1.1 libxkbcommon0 curl libglib2.0-0
Reading package lists... Done
Building dependency tree
Reading state information... Done
libasound2 is already the newest version (1.1.3-5).
bzip2 is already the newest version (1.0.6-8.1).
ca-certificates is already the newest version (20161130+nmu1+deb9u1).
curl is already the newest version (7.52.1-5+deb9u9).
libglib2.0-0 is already the newest version (2.50.3-2).
libxcursor1 is already the newest version (1:1.1.14-1+deb9u2).
libxkbcommon0 is already the newest version (0.7.1-2~deb9u1).
libxslt1.1 is already the newest version (1.1.29-2.1).
libegl1-mesa is already the newest version (13.0.6-1+b2).
libnss3 is already the newest version (2:3.26.2-1.1+deb9u1).
libpci3 уже самая новая версия (1: 3.5.2-1).
x11-xkb-utils - это самая новая версия (7.7 + 3 + b1).
x11vnc уже самая новая версия (0.9.13-2 + deb9u1).
xvfb уже самая новая версия (2: 1.19.2-1 + deb9u5).
0 обновлено, 0 вновь установлено, 0 для удаления и 1 не обновлено.
root @ wot-team: ~ # sudo apt-get install -y x11vnc xvfb libxcursor1 ca-сертификаты bzip2 libnss3 libegl1-mesa x11-xkb-utils libasound2 libpci3 libxslt1.1 libxkbcommon0 curl libglib2.0-0
Чтение списков пакетов ... Готово
Построение дерева зависимостей
Чтение информации о состоянии ... Готово
libasound2 уже самая новая версия (1.1.3-5).
bzip2 уже самая новая версия (1.0.6-8.1).
CA-Certificates уже является новейшей версией (20161130 + nmu1 + deb9u1).
curl уже самая новая версия (7.52.1-5 + deb9u9).
libglib2.0-0 уже самая новая версия (2.50.3-2).
libxcursor1 уже самая новая версия (1: 1.1.14-1 + deb9u2).
libxkbcommon0 уже самая новая версия (0.7.1-2 ~ deb9u1).
libxslt1.1 уже самая новая версия (1.1.29-2.1).
libegl1-mesa уже является новейшей версией (13.0.6-1 + b2).
libnss3 уже самая новая версия (2: 3.26.2-1.1 + deb9u1).
libpci3 уже самая новая версия (1: 3.5.2-1).
x11-xkb-utils - это самая новая версия (7.7 + 3 + b1).
x11vnc уже самая новая версия (0.9.13-2 + deb9u1).
xvfb уже самая новая версия (2: 1.19.2-1 + deb9u5).
0 обновлено, 0 вновь установлено, 0 для удаления и 1 не обновлено.
корень @ WOT-команда: ~ #
 

Similar threads

Top